E-MailRelay

Public Member Functions | List of all members
GSsl::MbedTls::Certificate Class Reference

Holds a mbedtls_x509_crt structure. More...

`#include <gssl_mbedtls.h>`

## Public Member Functions
void | load (const std::string &file)
bool | loaded () const
mbedtls_x509_crt * | ptr ()
mbedtls_x509_crt * | ptr () const
| Certificate (const Certificate &)=delete
| Certificate (Certificate &&)=delete
Certificate & | operator= (const Certificate &)=delete
Certificate & | operator= (Certificate &&)=delete

## Detailed Description

Holds a mbedtls_x509_crt structure.

Definition at line 55 of file gssl_mbedtls.h.

## Constructor & Destructor Documentation

## ◆ Certificate()

GSsl::MbedTls::Certificate::Certificate | ( |  | ) |

Definition at line 1036 of file gssl_mbedtls.cpp.

## ◆ ~Certificate()

GSsl::MbedTls::Certificate::~Certificate | ( |  | ) |

Definition at line 1042 of file gssl_mbedtls.cpp.

## Member Function Documentation

## ◆ load()

void GSsl::MbedTls::Certificate::load | ( | const std::string & | file | ) |

Definition at line 1047 of file gssl_mbedtls.cpp.

## ◆ loaded()

bool GSsl::MbedTls::Certificate::loaded | ( |  | ) | const

Definition at line 1062 of file gssl_mbedtls.cpp.

## ◆ ptr() [1/2]

mbedtls_x509_crt * GSsl::MbedTls::Certificate::ptr | ( |  | ) |

Definition at line 1067 of file gssl_mbedtls.cpp.

## ◆ ptr() [2/2]

mbedtls_x509_crt * GSsl::MbedTls::Certificate::ptr | ( |  | ) | const

Definition at line 1073 of file gssl_mbedtls.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.cpp